Bug 24386 - Double submit should be prevented when adding to a basket
Summary: Double submit should be prevented when adding to a basket
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25563
  Show dependency treegraph
 
Reported: 2020-01-09 15:51 UTC by Kelly McElligott
Modified: 2020-05-21 09:43 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24386 - Prevent double form submission on adding orders to basket from a file (1.62 KB, patch)
2020-01-09 15:59 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24386 - Prevent double form submission on adding orders to basket from a file (1.68 KB, patch)
2020-03-26 15:26 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24386: Prevent double form submission on adding orders to basket from a file (1.75 KB, patch)
2020-03-27 08:36 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-01-09 15:51:48 UTC
The ability to double submit in Acquisitions causes duplicate biblio records to be added to a basket.  It would be advisable to add a way to stop a double submit to happen as this causes errors (duplicate orders).
Comment 1 Kelly McElligott 2020-01-09 15:53:11 UTC
acqui/addorderiso2709.pl
Comment 2 Nick Clemens 2020-01-09 15:59:04 UTC
Created attachment 97106 [details] [review]
Bug 24386 - Prevent double form submission on adding orders to basket from a file

To test:
 1 - Have a marc record file
 2 - Go to Acquisitions, find a vendor, then an open basket
 3 - Add to basket from a new file (if you already have one staged you can choose that instead)
 4 - Import the file, then add to basket
 5 - On the page where you select the records and set info select a record, set matching to 'Do not check' fill in the fund for the order
 6 - When ready, click save as many times as you can
 7 - When you go to the basket there are many copies of the order added
 8 - Don't despair, apply the patch
 9 - Repeat above
10 - When ready to add orders, click furiously
11 - The order is only added once!
12 - Success!
Comment 3 ByWater Sandboxes 2020-03-26 15:26:34 UTC
Created attachment 101875 [details] [review]
Bug 24386 - Prevent double form submission on adding orders to basket from a file

To test:
 1 - Have a marc record file
 2 - Go to Acquisitions, find a vendor, then an open basket
 3 - Add to basket from a new file (if you already have one staged you can choose that instead)
 4 - Import the file, then add to basket
 5 - On the page where you select the records and set info select a record, set matching to 'Do not check' fill in the fund for the order
 6 - When ready, click save as many times as you can
 7 - When you go to the basket there are many copies of the order added
 8 - Don't despair, apply the patch
 9 - Repeat above
10 - When ready to add orders, click furiously
11 - The order is only added once!
12 - Success!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Jonathan Druart 2020-03-27 08:36:07 UTC
Created attachment 101966 [details] [review]
Bug 24386: Prevent double form submission on adding orders to basket from a file

To test:
 1 - Have a marc record file
 2 - Go to Acquisitions, find a vendor, then an open basket
 3 - Add to basket from a new file (if you already have one staged you can choose that instead)
 4 - Import the file, then add to basket
 5 - On the page where you select the records and set info select a record, set matching to 'Do not check' fill in the fund for the order
 6 - When ready, click save as many times as you can
 7 - When you go to the basket there are many copies of the order added
 8 - Don't despair, apply the patch
 9 - Repeat above
10 - When ready to add orders, click furiously
11 - The order is only added once!
12 - Success!

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-03-27 12:24:02 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-04-03 23:05:22 UTC
backported to 19.11.x for 19.11.05
Comment 7 Lucas Gass 2020-04-13 20:49:59 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-20 00:04:09 UTC
Enhancement/minor patch will not be backported to 18.11.x series